// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/CheckList.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.marker;


@SuppressWarnings("fallthrough")
public class CheckList extends JFlexAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int inVirgolette = 2;
  public static final int inSkip = 4;
  public static final int inPre = 6;
  public static final int inTable = 8;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2,  2,  3,  3,  4, 4
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\36\u0200\1\u0300\1\u0400\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\2\22\0\1\1"+
    "\5\0\1\3\1\0\1\4\1\5\3\0\1\6\1\7"+
    "\1\10\1\11\1\12\10\13\1\14\1\15\1\16\1\0"+
    "\1\17\2\0\1\20\1\21\1\22\1\23\1\24\1\25"+
    "\1\26\1\27\1\30\1\31\1\32\1\33\1\34\1\35"+
    "\1\36\1\37\1\40\1\41\1\42\1\43\1\44\1\45"+
    "\1\46\1\47\1\50\1\51\4\0\1\6\1\0\1\52"+
    "\1\53\1\54\1\55\1\56\1\57\1\60\1\61\1\62"+
    "\1\63\1\64\1\65\1\66\1\67\1\70\1\71\1\72"+
    "\1\73\1\74\1\75\1\76\1\77\1\100\1\101\1\102"+
    "\1\103\265\0\2\30\115\0\1\42\u0182\0\1\1\20\0"+
    "\2\6\u0115\0\1\32\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1280];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\5\0\7\1\242\0\1\2\16\0\1\3\53\0\1\4"+
    "\55\0\1\3\46\0\1\5\10\0\1\3\53\0\1\6"+
    "\70\0\1\7\162\0\1\10\72\0\1\11\12\0\1\5"+
    "\2\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[616];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\104\0\210\0\314\0\u0110\0\u0154\0\u0198\0\u01dc"+
    "\0\u0220\0\u0264\0\u02a8\0\u02ec\0\u0198\0\u0330\0\u0374\0\u03b8"+
    "\0\u03fc\0\u0440\0\u0484\0\u04c8\0\u050c\0\u0550\0\u0594\0\u05d8"+
    "\0\u061c\0\u0660\0\u06a4\0\u06e8\0\u072c\0\u0770\0\u07b4\0\u07f8"+
    "\0\u083c\0\u0880\0\u08c4\0\u0908\0\u094c\0\u0990\0\u09d4\0\u0a18"+
    "\0\u0a5c\0\u0aa0\0\u0ae4\0\u0b28\0\u0b6c\0\u0bb0\0\u0bf4\0\u0c38"+
    "\0\u0c7c\0\u0cc0\0\u0d04\0\u0d48\0\u0d8c\0\u0dd0\0\u0e14\0\u0e58"+
    "\0\u0e9c\0\u0ee0\0\u0f24\0\u0f68\0\u0fac\0\u0ff0\0\u1034\0\u1078"+
    "\0\u10bc\0\u1100\0\u1144\0\u1188\0\u11cc\0\u1210\0\u1254\0\u1298"+
    "\0\u12dc\0\u1320\0\u1364\0\u13a8\0\u13ec\0\u1430\0\u1474\0\u14b8"+
    "\0\u14fc\0\u1540\0\u1584\0\u15c8\0\u160c\0\u1650\0\u1694\0\u16d8"+
    "\0\u171c\0\u1760\0\u17a4\0\u17e8\0\u182c\0\u1870\0\u18b4\0\u18f8"+
    "\0\u193c\0\u1980\0\u19c4\0\u1a08\0\u1a4c\0\u1a90\0\u1ad4\0\u1b18"+
    "\0\u1b5c\0\u1ba0\0\u1be4\0\u1c28\0\u1c6c\0\u1cb0\0\u1cf4\0\u1d38"+
    "\0\u1d7c\0\u1dc0\0\u1e04\0\u1e48\0\u1e8c\0\u1ed0\0\u1f14\0\u1f58"+
    "\0\u1f9c\0\u1fe0\0\u2024\0\u2068\0\u20ac\0\u20f0\0\u2134\0\u2178"+
    "\0\u21bc\0\u2200\0\u2244\0\u2288\0\u22cc\0\u2310\0\u2354\0\u2398"+
    "\0\u23dc\0\u2420\0\u2464\0\u24a8\0\u24ec\0\u2530\0\u2574\0\u25b8"+
    "\0\u25fc\0\u2640\0\u2684\0\u26c8\0\u270c\0\u2750\0\u2794\0\u27d8"+
    "\0\u281c\0\u2860\0\u28a4\0\u28e8\0\u292c\0\u2970\0\u29b4\0\u29f8"+
    "\0\u2a3c\0\u2a80\0\u2ac4\0\u2b08\0\u2b4c\0\u2b90\0\u2bd4\0\u2c18"+
    "\0\u2c5c\0\u2ca0\0\u2ce4\0\u2d28\0\u2d6c\0\u2db0\0\u0154\0\u2df4"+
    "\0\u2e38\0\u2e7c\0\u2ec0\0\u2f04\0\u2f48\0\u2f8c\0\u2fd0\0\u3014"+
    "\0\u3058\0\u309c\0\u30e0\0\u3124\0\u3168\0\u0154\0\u31ac\0\u31f0"+
    "\0\u3234\0\u3278\0\u32bc\0\u3300\0\u3344\0\u3388\0\u33cc\0\u3410"+
    "\0\u3454\0\u3498\0\u34dc\0\u3520\0\u3564\0\u35a8\0\u35ec\0\u3630"+
    "\0\u3674\0\u36b8\0\u36fc\0\u3740\0\u3784\0\u37c8\0\u380c\0\u3850"+
    "\0\u3894\0\u38d8\0\u391c\0\u3960\0\u39a4\0\u39e8\0\u3a2c\0\u3a70"+
    "\0\u3ab4\0\u3af8\0\u3b3c\0\u3b80\0\u3bc4\0\u3c08\0\u3c4c\0\u3c90"+
    "\0\u3cd4\0\u0154\0\u3d18\0\u3d5c\0\u3da0\0\u3de4\0\u3e28\0\u3e6c"+
    "\0\u3eb0\0\u3ef4\0\u3f38\0\u3f7c\0\u3fc0\0\u4004\0\u4048\0\u408c"+
    "\0\u40d0\0\u4114\0\u4158\0\u419c\0\u41e0\0\u4224\0\u4268\0\u42ac"+
    "\0\u42f0\0\u4334\0\u4378\0\u43bc\0\u4400\0\u4444\0\u4488\0\u44cc"+
    "\0\u4510\0\u4554\0\u4598\0\u45dc\0\u4620\0\u4664\0\u46a8\0\u46ec"+
    "\0\u4730\0\u4774\0\u47b8\0\u47fc\0\u4840\0\u4884\0\u48c8\0\u490c"+
    "\0\u4950\0\u4994\0\u49d8\0\u4a1c\0\u4a60\0\u4aa4\0\u4ae8\0\u4b2c"+
    "\0\u4b70\0\u4bb4\0\u4bf8\0\u4c3c\0\u4c80\0\u4cc4\0\u4d08\0\u4d4c"+
    "\0\u4d90\0\u4dd4\0\u4e18\0\u4e5c\0\u4ea0\0\u4ee4\0\u4f28\0\u4f6c"+
    "\0\u4fb0\0\u4ff4\0\u5038\0\u507c\0\u50c0\0\u5104\0\u5148\0\u518c"+
    "\0\u51d0\0\u5214\0\u5258\0\u529c\0\u52e0\0\u5324\0\u0154\0\u5368"+
    "\0\u53ac\0\u53f0\0\u5434\0\u5478\0\u54bc\0\u5500\0\u5544\0\u5588"+
    "\0\u55cc\0\u5610\0\u5654\0\u5698\0\u56dc\0\u5720\0\u5764\0\u57a8"+
    "\0\u57ec\0\u5830\0\u5874\0\u58b8\0\u58fc\0\u5940\0\u5984\0\u59c8"+
    "\0\u5a0c\0\u5a50\0\u5a94\0\u5ad8\0\u5b1c\0\u5b60\0\u5ba4\0\u5be8"+
    "\0\u5c2c\0\u5c70\0\u5cb4\0\u5cf8\0\u5d3c\0\u5d80\0\u5dc4\0\u5e08"+
    "\0\u5e4c\0\u5e90\0\u5ed4\0\u5f18\0\u5f5c\0\u5fa0\0\u5fe4\0\u6028"+
    "\0\u606c\0\u60b0\0\u60f4\0\u0154\0\u6138\0\u617c\0\u61c0\0\u6204"+
    "\0\u6248\0\u628c\0\u62d0\0\u6314\0\u6358\0\u639c\0\u63e0\0\u6424"+
    "\0\u6468\0\u64ac\0\u64f0\0\u6534\0\u6578\0\u65bc\0\u6600\0\u6644"+
    "\0\u6688\0\u66cc\0\u6710\0\u6754\0\u6798\0\u67dc\0\u6820\0\u6864"+
    "\0\u68a8\0\u68ec\0\u6930\0\u6974\0\u69b8\0\u69fc\0\u6a40\0\u6a84"+
    "\0\u6ac8\0\u6b0c\0\u6b50\0\u6b94\0\u6bd8\0\u6c1c\0\u6c60\0\u6ca4"+
    "\0\u6ce8\0\u6d2c\0\u6d70\0\u6db4\0\u6df8\0\u6e3c\0\u6e80\0\u6ec4"+
    "\0\u6f08\0\u6f4c\0\u6f90\0\u6fd4\0\u0154\0\u7018\0\u705c\0\u70a0"+
    "\0\u70e4\0\u7128\0\u716c\0\u71b0\0\u71f4\0\u7238\0\u727c\0\u72c0"+
    "\0\u7304\0\u7348\0\u738c\0\u73d0\0\u7414\0\u7458\0\u749c\0\u74e0"+
    "\0\u7524\0\u7568\0\u75ac\0\u75f0\0\u7634\0\u7678\0\u76bc\0\u7700"+
    "\0\u7744\0\u7788\0\u77cc\0\u7810\0\u7854\0\u7898\0\u78dc\0\u7920"+
    "\0\u7964\0\u79a8\0\u79ec\0\u7a30\0\u7a74\0\u7ab8\0\u7afc\0\u7b40"+
    "\0\u7b84\0\u7bc8\0\u7c0c\0\u7c50\0\u7c94\0\u7cd8\0\u7d1c\0\u7d60"+
    "\0\u7da4\0\u7de8\0\u7e2c\0\u7e70\0\u7eb4\0\u7ef8\0\u7f3c\0\u7f80"+
    "\0\u7fc4\0\u8008\0\u804c\0\u8090\0\u80d4\0\u8118\0\u815c\0\u81a0"+
    "\0\u81e4\0\u8228\0\u826c\0\u82b0\0\u82f4\0\u8338\0\u837c\0\u83c0"+
    "\0\u8404\0\u8448\0\u848c\0\u84d0\0\u8514\0\u8558\0\u859c\0\u85e0"+
    "\0\u8624\0\u8668\0\u86ac\0\u86f0\0\u8734\0\u8778\0\u87bc\0\u8800"+
    "\0\u8844\0\u8888\0\u88cc\0\u8910\0\u8954\0\u8998\0\u89dc\0\u8a20"+
    "\0\u8a64\0\u8aa8\0\u5588\0\u8aec\0\u8b30\0\u8b74\0\u8bb8\0\u8bfc"+
    "\0\u8c40\0\u8c84\0\u8cc8\0\u8d0c\0\u8d50\0\u8d94\0\u8dd8\0\u0154"+
    "\0\u8e1c\0\u8e60\0\u8ea4\0\u8ee8\0\u8f2c\0\u8f70\0\u8fb4\0\u8ff8"+
    "\0\u903c\0\u9080\0\u90c4\0\u9108\0\u914c\0\u9190\0\u91d4\0\u9218"+
    "\0\u925c\0\u92a0\0\u92e4\0\u9328\0\u936c\0\u93b0\0\u93f4\0\u9438"+
    "\0\u947c\0\u94c0\0\u9504\0\u9548\0\u958c\0\u95d0\0\u9614\0\u9658"+
    "\0\u969c\0\u96e0\0\u9724\0\u9768\0\u97ac\0\u97f0\0\u9834\0\u9878"+
    "\0\u98bc\0\u9900\0\u9944\0\u9988\0\u99cc\0\u9a10\0\u9a54\0\u9a98"+
    "\0\u9adc\0\u9b20\0\u9b64\0\u9ba8\0\u9bec\0\u9c30\0\u9c74\0\u9cb8"+
    "\0\u9cfc\0\u9d40\0\u0154\0\u9d84\0\u9dc8\0\u9e0c\0\u9e50\0\u9e94"+
    "\0\u9ed8\0\u9f1c\0\u9f60\0\u9fa4\0\u9fe8\0\ua02c\0\ua070\0\ua0b4";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[616];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\14\6\1\7\1\6\1\10\103\6\1\11\103\6\1\12"+
    "\103\6\1\13\103\6\1\14\65\6\105\0\2\15\1\16"+
    "\12\0\1\17\114\0\1\20\4\0\1\21\24\0\1\20"+
    "\4\0\1\21\25\0\1\22\103\0\1\23\103\0\1\24"+
    "\103\0\1\25\130\0\1\26\31\0\1\26\24\0\1\27"+
    "\107\0\1\30\130\0\1\31\31\0\1\31\44\0\1\32"+
    "\31\0\1\32\51\0\1\33\31\0\1\33\44\0\1\34"+
    "\31\0\1\34\51\0\1\35\31\0\1\35\43\0\1\36"+
    "\31\0\1\36\57\0\1\37\31\0\1\37\61\0\1\40"+
    "\3\0\1\41\25\0\1\40\3\0\1\41\40\0\1\42"+
    "\31\0\1\42\60\0\1\43\31\0\1\43\51\0\1\44"+
    "\31\0\1\44\24\0\1\45\103\0\1\46\131\0\1\47"+
    "\31\0\1\47\23\0\1\50\70\0\1\51\1\0\1\52"+
    "\13\0\1\53\21\0\1\54\31\0\1\54\30\0\1\55"+
    "\31\0\1\55\45\0\1\56\121\0\1\57\31\0\1\57"+
    "\51\0\1\60\31\0\1\60\56\0\1\61\31\0\1\61"+
    "\55\0\1\62\31\0\1\62\45\0\1\63\31\0\1\63"+
    "\51\0\1\64\31\0\1\64\12\0\17\51\1\53\64\51"+
    "\35\0\1\65\31\0\1\65\15\0\2\53\1\66\1\67"+
    "\5\0\1\70\1\71\4\0\1\72\1\73\1\74\1\75"+
    "\1\76\1\77\1\100\1\101\1\102\1\103\1\104\1\105"+
    "\1\106\1\107\1\110\1\111\1\112\1\113\1\114\1\115"+
    "\1\116\1\117\1\120\1\121\1\122\1\123\1\124\1\125"+
    "\1\126\1\127\1\130\1\131\1\132\1\133\1\134\1\135"+
    "\1\136\1\137\1\140\1\141\1\142\1\143\1\144\1\145"+
    "\1\146\1\147\1\150\1\151\1\152\1\153\1\154\1\155"+
    "\24\0\1\156\31\0\1\156\46\0\1\157\31\0\1\157"+
    "\72\0\1\160\2\0\1\161\26\0\1\160\2\0\1\161"+
    "\20\0\1\162\103\0\1\163\130\0\1\164\31\0\1\164"+
    "\30\0\1\165\31\0\1\165\46\0\1\15\105\0\1\166"+
    "\105\0\1\167\31\0\1\167\65\0\1\170\31\0\1\170"+
    "\34\0\1\171\1\172\1\173\1\174\1\175\1\176\1\177"+
    "\1\200\1\201\1\202\1\203\1\204\1\205\1\206\1\207"+
    "\1\210\1\211\1\212\1\213\1\214\1\215\1\216\1\217"+
    "\1\220\1\221\1\222\1\223\1\224\1\225\1\226\1\227"+
    "\1\230\1\231\1\232\1\233\1\234\1\235\1\236\1\237"+
    "\1\240\1\241\1\242\1\243\1\244\1\245\1\246\1\247"+
    "\1\250\1\251\1\252\1\253\1\254\1\0\1\255\1\0"+
    "\1\256\1\0\1\257\1\260\1\261\1\0\3\262\5\0"+
    "\1\263\1\0\1\264\11\0\1\265\1\266\1\0\1\267"+
    "\1\0\1\270\1\271\1\272\1\273\5\0\1\263\1\0"+
    "\1\264\11\0\1\265\1\266\1\0\1\267\1\0\1\270"+
    "\1\271\1\272\1\273\5\0\1\274\1\0\1\275\1\0"+
    "\1\276\1\277\1\261\1\0\3\262\5\0\1\300\1\0"+
    "\1\301\11\0\1\302\1\303\1\0\1\304\1\0\1\305"+
    "\1\306\1\307\1\310\5\0\1\300\1\0\1\301\11\0"+
    "\1\302\1\303\1\0\1\304\1\0\1\305\1\306\1\307"+
    "\1\310\24\0\1\311\31\312\1\311\31\312\20\0\1\312"+
    "\1\313\31\312\1\313\30\312\22\0\1\314\31\0\1\314"+
    "\52\0\1\315\31\0\1\315\52\0\1\316\31\0\1\316"+
    "\52\0\1\317\31\0\1\317\52\0\1\320\31\0\1\320"+
    "\52\0\1\321\31\0\1\321\52\0\1\322\31\0\1\322"+
    "\52\0\1\323\31\0\1\323\52\0\1\324\31\0\1\324"+
    "\52\0\1\325\31\0\1\325\52\0\1\326\31\0\1\326"+
    "\52\0\1\327\31\0\1\327\52\0\1\330\31\0\1\330"+
    "\52\0\1\331\31\0\1\331\52\0\1\332\31\0\1\332"+
    "\52\0\1\333\31\0\1\333\52\0\1\334\31\0\1\334"+
    "\52\0\1\335\31\0\1\335\52\0\1\336\31\0\1\336"+
    "\52\0\1\337\31\0\1\337\52\0\1\340\31\0\1\340"+
    "\52\0\1\341\31\0\1\341\52\0\1\342\31\0\1\342"+
    "\52\0\1\343\31\0\1\343\1\0\1\344\1\0\1\345"+
    "\1\0\1\257\1\344\1\257\10\0\1\311\31\312\1\311"+
    "\31\312\1\0\1\344\1\0\1\345\1\0\1\276\1\344"+
    "\1\276\10\0\1\312\1\313\31\312\1\313\30\312\1\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\12\0"+
    "\1\314\31\0\1\314\30\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\13\0\1\315\31\0\1\315\27\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\14\0"+
    "\1\316\31\0\1\316\26\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\15\0\1\317\31\0\1\317\25\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\16\0"+
    "\1\320\31\0\1\320\24\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\17\0\1\321\31\0\1\321\23\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\20\0"+
    "\1\322\31\0\1\346\14\0\1\347\1\0\1\347\3\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\21\0"+
    "\1\323\31\0\1\323\21\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\22\0\1\324\31\0\1\324\20\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\23\0"+
    "\1\325\31\0\1\325\17\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\24\0\1\326\31\0\1\326\16\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\25\0"+
    "\1\327\31\0\1\327\15\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\26\0\1\330\31\0\1\330\14\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\27\0"+
    "\1\331\31\0\1\331\13\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\30\0\1\332\31\0\1\332\12\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\31\0"+
    "\1\333\31\0\1\333\11\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\32\0\1\334\31\0\1\334\10\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\33\0"+
    "\1\335\31\0\1\335\7\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\34\0\1\336\31\0\1\336\6\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\35\0"+
    "\1\337\14\0\1\347\14\0\1\350\1\0\1\347\3\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\36\0"+
    "\1\340\31\0\1\340\4\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\37\0\1\341\12\0\1\347\14\0"+
    "\1\347\1\0\1\351\3\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\40\0\1\342\31\0\1\342\2\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\41\0"+
    "\1\343\31\0\1\343\17\156\1\352\64\156\33\0\1\353"+
    "\31\0\1\353\50\0\1\354\31\0\1\354\47\0\1\355"+
    "\31\0\1\355\66\0\1\356\31\0\1\356\46\0\1\357"+
    "\31\0\1\357\33\0\1\360\31\0\1\360\46\0\1\361"+
    "\31\0\1\361\31\0\2\166\1\362\12\0\1\363\127\0"+
    "\1\364\31\0\1\364\30\0\1\365\31\0\1\365\50\0"+
    "\1\366\31\367\1\366\31\367\20\0\1\367\1\370\31\367"+
    "\1\370\30\367\22\0\1\371\31\0\1\371\52\0\1\372"+
    "\31\0\1\372\52\0\1\373\31\0\1\373\52\0\1\374"+
    "\31\0\1\374\52\0\1\375\31\0\1\375\52\0\1\376"+
    "\31\0\1\376\52\0\1\377\31\0\1\377\52\0\1\u0100"+
    "\31\0\1\u0100\52\0\1\u0101\31\0\1\u0101\52\0\1\u0102"+
    "\31\0\1\u0102\52\0\1\u0103\31\0\1\u0103\52\0\1\u0104"+
    "\31\0\1\u0104\52\0\1\u0105\31\0\1\u0105\52\0\1\u0106"+
    "\31\0\1\u0106\52\0\1\u0107\31\0\1\u0107\52\0\1\u0108"+
    "\31\0\1\u0108\52\0\1\u0109\31\0\1\u0109\52\0\1\u010a"+
    "\31\0\1\u010a\52\0\1\u010b\31\0\1\u010b\52\0\1\u010c"+
    "\31\0\1\u010c\52\0\1\u010d\31\0\1\u010d\52\0\1\u010e"+
    "\31\0\1\u010e\52\0\1\u010f\31\0\1\u010f\52\0\1\u0110"+
    "\31\0\1\u0110\1\0\1\277\1\0\1\u0111\1\0\1\257"+
    "\1\277\11\0\1\366\31\367\1\366\31\367\1\0\1\277"+
    "\1\0\1\u0111\1\0\1\276\1\277\11\0\1\367\1\370"+
    "\31\367\1\370\30\367\1\0\1\277\1\0\1\u0111\1\0"+
    "\1\276\1\277\13\0\1\371\31\0\1\371\30\0\1\277"+
    "\1\0\1\u0111\1\0\1\276\1\277\14\0\1\372\31\0"+
    "\1\372\27\0\1\277\1\0\1\u0111\1\0\1\276\1\277"+
    "\15\0\1\373\31\0\1\373\26\0\1\277\1\0\1\u0111"+
    "\1\0\1\276\1\277\16\0\1\374\31\0\1\374\25\0"+
    "\1\277\1\0\1\u0111\1\0\1\276\1\277\17\0\1\375"+
    "\31\0\1\375\24\0\1\277\1\0\1\u0111\1\0\1\276"+
    "\1\277\20\0\1\376\31\0\1\376\23\0\1\277\1\0"+
    "\1\u0111\1\0\1\276\1\277\21\0\1\377\31\0\1\u0112"+
    "\14\0\1\u0113\1\0\1\u0113\3\0\1\277\1\0\1\u0111"+
    "\1\0\1\276\1\277\22\0\1\u0100\31\0\1\u0100\21\0"+
    "\1\277\1\0\1\u0111\1\0\1\276\1\277\23\0\1\u0101"+
    "\31\0\1\u0101\20\0\1\277\1\0\1\u0111\1\0\1\276"+
    "\1\277\24\0\1\u0102\31\0\1\u0102\17\0\1\277\1\0"+
    "\1\u0111\1\0\1\276\1\277\25\0\1\u0103\31\0\1\u0103"+
    "\16\0\1\277\1\0\1\u0111\1\0\1\276\1\277\26\0"+
    "\1\u0104\31\0\1\u0104\15\0\1\277\1\0\1\u0111\1\0"+
    "\1\276\1\277\27\0\1\u0105\31\0\1\u0105\14\0\1\277"+
    "\1\0\1\u0111\1\0\1\276\1\277\30\0\1\u0106\31\0"+
    "\1\u0106\13\0\1\277\1\0\1\u0111\1\0\1\276\1\277"+
    "\31\0\1\u0107\31\0\1\u0107\12\0\1\277\1\0\1\u0111"+
    "\1\0\1\276\1\277\32\0\1\u0108\31\0\1\u0108\11\0"+
    "\1\277\1\0\1\u0111\1\0\1\276\1\277\33\0\1\u0109"+
    "\31\0\1\u0109\10\0\1\277\1\0\1\u0111\1\0\1\276"+
    "\1\277\34\0\1\u010a\31\0\1\u010a\7\0\1\277\1\0"+
    "\1\u0111\1\0\1\276\1\277\35\0\1\u010b\31\0\1\u010b"+
    "\6\0\1\277\1\0\1\u0111\1\0\1\276\1\277\36\0"+
    "\1\u010c\14\0\1\u0113\14\0\1\u0114\1\0\1\u0113\3\0"+
    "\1\277\1\0\1\u0111\1\0\1\276\1\277\37\0\1\u010d"+
    "\31\0\1\u010d\4\0\1\277\1\0\1\u0111\1\0\1\276"+
    "\1\277\40\0\1\u010e\12\0\1\u0113\14\0\1\u0113\1\0"+
    "\1\u0115\3\0\1\277\1\0\1\u0111\1\0\1\276\1\277"+
    "\41\0\1\u010f\31\0\1\u010f\2\0\1\277\1\0\1\u0111"+
    "\1\0\1\276\1\277\42\0\1\u0110\31\0\1\u0110\1\0"+
    "\1\255\1\0\1\256\2\0\1\260\12\0\1\263\1\0"+
    "\1\264\11\0\1\265\1\266\1\0\1\267\1\0\1\270"+
    "\1\271\1\272\1\273\5\0\1\263\1\0\1\264\11\0"+
    "\1\265\1\266\1\0\1\267\1\0\1\270\1\271\1\272"+
    "\1\273\41\0\1\u0116\31\0\1\u0116\15\0\1\260\1\0"+
    "\1\u0117\15\0\1\263\1\0\1\264\11\0\1\265\1\266"+
    "\1\0\1\267\1\0\1\270\1\271\1\272\1\273\5\0"+
    "\1\263\1\0\1\264\11\0\1\265\1\266\1\0\1\267"+
    "\1\0\1\270\1\271\1\272\1\273\16\0\2\u0118\71\0"+
    "\1\274\1\0\1\275\1\0\1\276\1\277\1\261\1\0"+
    "\3\u0119\5\0\1\300\1\0\1\301\11\0\1\302\1\303"+
    "\1\0\1\304\1\0\1\305\1\306\1\307\1\310\5\0"+
    "\1\300\1\0\1\301\11\0\1\302\1\303\1\0\1\304"+
    "\1\0\1\305\1\306\1\307\1\310\34\0\1\u011a\31\0"+
    "\1\u011a\45\0\1\u011b\17\0\1\u011c\11\0\1\u011b\17\0"+
    "\1\u011c\43\0\1\u011d\31\0\1\u011d\35\0\1\u011e\31\0"+
    "\1\u011e\73\0\1\u011f\31\0\1\u011f\31\0\1\u0120\31\0"+
    "\1\u0120\51\0\1\u0121\31\0\1\u0121\62\0\1\u0122\31\0"+
    "\1\u0122\44\0\1\u0123\31\0\1\u0123\22\0\1\274\1\0"+
    "\1\275\2\0\1\277\12\0\1\300\1\0\1\301\11\0"+
    "\1\302\1\303\1\0\1\304\1\0\1\305\1\306\1\307"+
    "\1\310\5\0\1\300\1\0\1\301\11\0\1\302\1\303"+
    "\1\0\1\304\1\0\1\305\1\306\1\307\1\310\41\0"+
    "\1\u0124\31\0\1\u0124\15\0\1\277\1\0\1\u0111\15\0"+
    "\1\300\1\0\1\301\11\0\1\302\1\303\1\0\1\304"+
    "\1\0\1\305\1\306\1\307\1\310\5\0\1\300\1\0"+
    "\1\301\11\0\1\302\1\303\1\0\1\304\1\0\1\305"+
    "\1\306\1\307\1\310\34\0\1\u0125\31\0\1\u0125\45\0"+
    "\1\u0126\17\0\1\u0127\11\0\1\u0126\17\0\1\u0127\43\0"+
    "\1\u0128\31\0\1\u0128\35\0\1\u0129\31\0\1\u0129\73\0"+
    "\1\u012a\31\0\1\u012a\31\0\1\u012b\31\0\1\u012b\51\0"+
    "\1\u012c\31\0\1\u012c\62\0\1\u012d\31\0\1\u012d\44\0"+
    "\1\u012e\31\0\1\u012e\22\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\10\0\1\312\31\0\1\312\32\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\75\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\11\0"+
    "\1\312\31\0\1\312\31\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\12\0\1\312\31\0\1\312\30\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\13\0"+
    "\1\312\31\0\1\312\27\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\14\0\1\312\31\0\1\312\26\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\15\0"+
    "\1\312\31\0\1\312\25\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\16\0\1\312\31\0\1\312\24\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\17\0"+
    "\1\312\31\0\1\312\23\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\20\0\1\312\31\0\1\312\22\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\21\0"+
    "\1\312\31\0\1\312\21\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\22\0\1\312\31\0\1\312\20\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\23\0"+
    "\1\312\31\0\1\312\17\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\24\0\1\312\31\0\1\312\16\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\25\0"+
    "\1\312\31\0\1\312\15\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\26\0\1\312\31\0\1\312\14\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\27\0"+
    "\1\312\31\0\1\312\13\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\30\0\1\312\31\0\1\312\12\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\31\0"+
    "\1\312\31\0\1\312\11\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\32\0\1\312\31\0\1\312\10\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\33\0"+
    "\1\312\31\0\1\312\7\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\34\0\1\312\31\0\1\312\6\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\35\0"+
    "\1\312\31\0\1\312\5\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\36\0\1\312\31\0\1\312\4\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\37\0"+
    "\1\312\31\0\1\312\3\0\1\344\1\0\1\345\1\0"+
    "\1\276\1\344\1\276\40\0\1\312\31\0\1\312\2\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\41\0"+
    "\1\312\31\0\1\312\1\0\1\344\1\0\1\345\15\0"+
    "\1\u012f\1\0\1\u0130\11\0\1\u0131\1\u0132\1\0\1\u0133"+
    "\1\0\1\u0134\1\u0135\1\u0136\1\u0137\5\0\1\u012f\1\0"+
    "\1\u0130\11\0\1\u0131\1\u0132\1\0\1\u0133\1\0\1\u0134"+
    "\1\u0135\1\u0136\1\u0137\41\0\1\u0138\31\0\1\u0138\15\0"+
    "\1\344\1\0\1\345\1\0\1\276\1\344\1\276\20\0"+
    "\1\312\31\0\1\u0139\14\0\1\347\1\0\1\347\7\0"+
    "\1\276\1\0\1\276\52\0\1\347\14\0\1\347\1\0"+
    "\1\347\3\0\1\344\1\0\1\345\1\0\1\276\1\344"+
    "\1\276\35\0\1\312\14\0\1\347\14\0\1\u0139\1\0"+
    "\1\347\3\0\1\344\1\0\1\345\1\0\1\276\1\344"+
    "\1\276\37\0\1\312\12\0\1\347\14\0\1\347\1\0"+
    "\1\u0139\26\0\1\u013a\31\0\1\u013a\55\0\1\u013b\31\0"+
    "\1\u013b\62\0\1\u013c\31\0\1\u013c\40\0\1\u013d\31\0"+
    "\1\u013d\53\0\1\u013e\31\0\1\u013e\36\0\1\u013f\117\0"+
    "\1\164\31\0\1\164\53\0\1\u0140\31\0\1\u0140\43\0"+
    "\1\u0141\31\0\1\u0141\61\0\1\u0142\31\0\1\u0142\54\0"+
    "\1\u0143\31\0\1\u0143\10\0\1\277\1\0\1\u0111\1\0"+
    "\1\276\1\277\11\0\1\367\31\0\1\367\32\0\1\277"+
    "\1\0\1\u0111\1\0\1\276\1\277\76\0\1\277\1\0"+
    "\1\u0111\1\0\1\276\1\277\12\0\1\367\31\0\1\367"+
    "\31\0\1\277\1\0\1\u0111\1\0\1\276\1\277\13\0"+
    "\1\367\31\0\1\367\30\0\1\277\1\0\1\u0111\1\0"+
    "\1\276\1\277\14\0\1\367\31\0\1\367\27\0\1\277"+
    "\1\0\1\u0111\1\0\1\276\1\277\15\0\1\367\31\0"+
    "\1\367\26\0\1\277\1\0\1\u0111\1\0\1\276\1\277"+
    "\16\0\1\367\31\0\1\367\25\0\1\277\1\0\1\u0111"+
    "\1\0\1\276\1\277\17\0\1\367\31\0\1\367\24\0"+
    "\1\277\1\0\1\u0111\1\0\1\276\1\277\20\0\1\367"+
    "\31\0\1\367\23\0\1\277\1\0\1\u0111\1\0\1\276"+
    "\1\277\21\0\1\367\31\0\1\367\22\0\1\277\1\0"+
    "\1\u0111\1\0\1\276\1\277\22\0\1\367\31\0\1\367"+
    "\21\0\1\277\1\0\1\u0111\1\0\1\276\1\277\23\0"+
    "\1\367\31\0\1\367\20\0\1\277\1\0\1\u0111\1\0"+
    "\1\276\1\277\24\0\1\367\31\0\1\367\17\0\1\277"+
    "\1\0\1\u0111\1\0\1\276\1\277\25\0\1\367\31\0"+
    "\1\367\16\0\1\277\1\0\1\u0111\1\0\1\276\1\277"+
    "\26\0\1\367\31\0\1\367\15\0\1\277\1\0\1\u0111"+
    "\1\0\1\276\1\277\27\0\1\367\31\0\1\367\14\0"+
    "\1\277\1\0\1\u0111\1\0\1\276\1\277\30\0\1\367"+
    "\31\0\1\367\13\0\1\277\1\0\1\u0111\1\0\1\276"+
    "\1\277\31\0\1\367\31\0\1\367\12\0\1\277\1\0"+
    "\1\u0111\1\0\1\276\1\277\32\0\1\367\31\0\1\367"+
    "\11\0\1\277\1\0\1\u0111\1\0\1\276\1\277\33\0"+
    "\1\367\31\0\1\367\10\0\1\277\1\0\1\u0111\1\0"+
    "\1\276\1\277\34\0\1\367\31\0\1\367\7\0\1\277"+
    "\1\0\1\u0111\1\0\1\276\1\277\35\0\1\367\31\0"+
    "\1\367\6\0\1\277\1\0\1\u0111\1\0\1\276\1\277"+
    "\36\0\1\367\31\0\1\367\5\0\1\277\1\0\1\u0111"+
    "\1\0\1\276\1\277\37\0\1\367\31\0\1\367\4\0"+
    "\1\277\1\0\1\u0111\1\0\1\276\1\277\40\0\1\367"+
    "\31\0\1\367\3\0\1\277\1\0\1\u0111\1\0\1\276"+
    "\1\277\41\0\1\367\31\0\1\367\2\0\1\277\1\0"+
    "\1\u0111\1\0\1\276\1\277\42\0\1\367\31\0\1\367"+
    "\35\0\1\u0144\31\0\1\u0144\15\0\1\277\1\0\1\u0111"+
    "\1\0\1\276\1\277\21\0\1\367\31\0\1\u0145\14\0"+
    "\1\u0113\1\0\1\u0113\7\0\1\276\54\0\1\u0113\14\0"+
    "\1\u0113\1\0\1\u0113\3\0\1\277\1\0\1\u0111\1\0"+
    "\1\276\1\277\36\0\1\367\14\0\1\u0113\14\0\1\u0145"+
    "\1\0\1\u0113\3\0\1\277\1\0\1\u0111\1\0\1\276"+
    "\1\277\40\0\1\367\12\0\1\u0113\14\0\1\u0113\1\0"+
    "\1\u0145\23\0\1\u0146\31\0\1\u0146\65\0\1\u0147\31\0"+
    "\1\u0147\21\0\1\276\1\0\1\276\1\0\3\u0148\71\0"+
    "\1\274\1\0\1\275\1\0\1\276\1\277\2\0\3\u0149"+
    "\5\0\1\300\1\0\1\301\11\0\1\302\1\303\1\0"+
    "\1\304\1\0\1\305\1\306\1\307\1\310\5\0\1\300"+
    "\1\0\1\301\11\0\1\302\1\303\1\0\1\304\1\0"+
    "\1\305\1\306\1\307\1\310\46\0\1\u014a\31\0\1\u014a"+
    "\31\0\1\u014b\31\0\1\u014b\65\0\1\u0122\31\0\1\u0122"+
    "\50\0\1\u014c\7\0\1\u014d\21\0\1\u014c\7\0\1\u014d"+
    "\47\0\1\u014d\31\0\1\u014d\26\0\1\u014e\7\0\1\u014f"+
    "\21\0\1\u014e\7\0\1\u014f\44\0\1\u0150\4\0\1\u0151"+
    "\3\0\1\u0152\2\0\1\u0153\7\0\1\u0154\5\0\1\u0150"+
    "\4\0\1\u0151\3\0\1\u0152\2\0\1\u0153\7\0\1\u0154"+
    "\43\0\1\u0155\31\0\1\u0155\33\0\1\u0156\21\0\1\u0157"+
    "\7\0\1\u0156\21\0\1\u0157\26\0\1\u0158\31\0\1\u0158"+
    "\50\0\1\u0159\31\0\1\u0159\72\0\1\u015a\31\0\1\u015a"+
    "\31\0\1\u015b\31\0\1\u015b\65\0\1\u012d\31\0\1\u012d"+
    "\50\0\1\u015c\7\0\1\u015d\21\0\1\u015c\7\0\1\u015d"+
    "\47\0\1\u015d\31\0\1\u015d\26\0\1\u015e\7\0\1\u015f"+
    "\21\0\1\u015e\7\0\1\u015f\44\0\1\u0160\4\0\1\u0161"+
    "\3\0\1\u0162\2\0\1\u0163\7\0\1\u0164\5\0\1\u0160"+
    "\4\0\1\u0161\3\0\1\u0162\2\0\1\u0163\7\0\1\u0164"+
    "\43\0\1\u0165\31\0\1\u0165\33\0\1\u0166\21\0\1\u0167"+
    "\7\0\1\u0166\21\0\1\u0167\26\0\1\u0168\31\0\1\u0168"+
    "\57\0\1\u0169\31\0\1\u0169\45\0\1\u016a\17\0\1\u016b"+
    "\11\0\1\u016a\17\0\1\u016b\43\0\1\u016c\31\0\1\u016c"+
    "\35\0\1\u016d\31\0\1\u016d\73\0\1\u016e\31\0\1\u016e"+
    "\31\0\1\u016f\31\0\1\u016f\51\0\1\u0170\31\0\1\u0170"+
    "\62\0\1\u0171\31\0\1\u0171\44\0\1\u0172\31\0\1\u0172"+
    "\42\0\1\u0173\31\0\1\u0173\31\0\1\344\1\0\1\345"+
    "\1\0\1\276\1\344\1\276\52\0\1\347\14\0\1\347"+
    "\1\0\1\347\2\0\17\u013a\1\u0174\64\u013a\37\0\1\u0175"+
    "\31\0\1\u0175\40\0\1\u0176\31\0\1\u0176\64\0\1\u0177"+
    "\31\0\1\u0177\40\0\1\u0178\31\0\1\u0178\42\0\1\u0179"+
    "\31\0\1\u0179\44\0\1\u017a\104\0\1\51\125\0\1\u017b"+
    "\31\0\1\u017b\33\0\1\u017c\31\0\1\u017c\31\0\1\277"+
    "\1\0\1\u0111\1\0\1\276\1\277\53\0\1\u0113\14\0"+
    "\1\u0113\1\0\1\u0113\44\0\1\u017d\31\0\1\u017d\30\0"+
    "\1\u017e\31\0\1\u017e\35\0\1\276\1\0\1\276\75\0"+
    "\1\274\1\0\1\275\1\0\1\276\1\277\2\0\3\u017f"+
    "\5\0\1\300\1\0\1\301\11\0\1\302\1\303\1\0"+
    "\1\304\1\0\1\305\1\306\1\307\1\310\5\0\1\300"+
    "\1\0\1\301\11\0\1\302\1\303\1\0\1\304\1\0"+
    "\1\305\1\306\1\307\1\310\5\0\1\u0180\1\0\1\u0181"+
    "\1\0\1\257\37\0\1\u0157\31\0\1\u0157\34\0\1\u0182"+
    "\31\0\1\u0182\51\0\1\u0183\31\0\1\u0183\51\0\1\u0184"+
    "\5\0\1\u0185\23\0\1\u0184\5\0\1\u0185\54\0\1\u0186"+
    "\1\0\1\271\27\0\1\u0186\1\0\1\271\43\0\1\u0187"+
    "\31\0\1\u0187\40\0\1\u011b\31\0\1\u011b\51\0\1\u0188"+
    "\31\0\1\u0188\51\0\1\u0189\31\0\1\u0189\70\0\1\u0154"+
    "\31\0\1\u0154\31\0\1\u0150\4\0\1\u0184\24\0\1\u0150"+
    "\4\0\1\u0184\22\0\1\u018a\1\0\1\u018b\1\0\1\257"+
    "\15\0\1\u0150\21\0\1\u0157\7\0\1\u0150\21\0\1\u0157"+
    "\30\0\1\u018c\31\0\1\u018c\55\0\1\u011b\31\0\1\u011b"+
    "\51\0\1\u018d\31\0\1\u018d\63\0\1\u018e\31\0\1\u018e"+
    "\10\0\1\u018f\1\0\1\u0190\1\0\1\276\37\0\1\u0167"+
    "\31\0\1\u0167\34\0\1\u0191\31\0\1\u0191\51\0\1\u0192"+
    "\31\0\1\u0192\51\0\1\u0193\5\0\1\u0194\23\0\1\u0193"+
    "\5\0\1\u0194\54\0\1\u0195\1\0\1\306\27\0\1\u0195"+
    "\1\0\1\306\43\0\1\u0196\31\0\1\u0196\40\0\1\u0126"+
    "\31\0\1\u0126\51\0\1\u0197\31\0\1\u0197\51\0\1\u0198"+
    "\31\0\1\u0198\70\0\1\u0164\31\0\1\u0164\31\0\1\u0160"+
    "\4\0\1\u0193\24\0\1\u0160\4\0\1\u0193\22\0\1\u0199"+
    "\1\0\1\u019a\1\0\1\276\15\0\1\u0160\21\0\1\u0167"+
    "\7\0\1\u0160\21\0\1\u0167\30\0\1\u019b\31\0\1\u019b"+
    "\55\0\1\u0126\31\0\1\u0126\51\0\1\u019c\31\0\1\u019c"+
    "\63\0\1\u019d\31\0\1\u019d\31\0\1\u019e\31\0\1\u019e"+
    "\65\0\1\u0171\31\0\1\u0171\50\0\1\u019f\7\0\1\u01a0"+
    "\21\0\1\u019f\7\0\1\u01a0\47\0\1\u01a0\31\0\1\u01a0"+
    "\26\0\1\u01a1\7\0\1\u01a2\21\0\1\u01a1\7\0\1\u01a2"+
    "\44\0\1\u01a3\4\0\1\u01a4\3\0\1\u01a5\2\0\1\u01a6"+
    "\7\0\1\u01a7\5\0\1\u01a3\4\0\1\u01a4\3\0\1\u01a5"+
    "\2\0\1\u01a6\7\0\1\u01a7\43\0\1\u01a8\31\0\1\u01a8"+
    "\33\0\1\u01a9\21\0\1\u01aa\7\0\1\u01a9\21\0\1\u01aa"+
    "\26\0\1\u01ab\31\0\1\u01ab\71\0\1\u01ac\31\0\1\u01ac"+
    "\26\0\1\u01ad\122\0\1\u01ae\31\0\1\u01ae\41\0\1\u01af"+
    "\31\0\1\u01af\62\0\1\360\31\0\1\360\54\0\1\u01b0"+
    "\31\0\1\u01b0\46\0\1\u01b1\31\0\1\u01b1\27\0\1\53"+
    "\130\0\1\u01b2\31\0\1\u01b2\46\0\1\u01b3\31\0\1\u01b3"+
    "\54\0\1\u01b4\31\0\1\u01b4\10\0\1\274\1\0\1\275"+
    "\1\0\1\276\1\277\12\0\1\300\1\0\1\301\11\0"+
    "\1\302\1\303\1\0\1\304\1\0\1\305\1\306\1\307"+
    "\1\310\5\0\1\300\1\0\1\301\11\0\1\302\1\303"+
    "\1\0\1\304\1\0\1\305\1\306\1\307\1\310\5\0"+
    "\1\u0180\1\0\1\u0181\41\0\1\u0157\31\0\1\u0157\41\0"+
    "\1\u01b5\31\0\1\u01b5\40\0\1\u01b6\31\0\1\u01b6\51\0"+
    "\1\u01b7\31\0\1\u01b7\51\0\1\u01b8\31\0\1\u01b8\50\0"+
    "\1\u0150\31\0\1\u0150\71\0\1\u01b9\31\0\1\u01b9\31\0"+
    "\1\u0150\14\0\1\u01ba\4\0\1\u0157\7\0\1\u0150\14\0"+
    "\1\u01ba\4\0\1\u0157\46\0\1\u01bb\31\0\1\u01bb\42\0"+
    "\1\u014a\31\0\1\u014a\17\0\1\u018a\1\0\1\u018b\17\0"+
    "\1\u0150\21\0\1\u0157\7\0\1\u0150\21\0\1\u0157\41\0"+
    "\1\u01bc\31\0\1\u01bc\36\0\1\u014b\22\0\1\u0157\6\0"+
    "\1\u014b\22\0\1\u0157\30\0\1\u01bd\31\0\1\u01bd\64\0"+
    "\1\u01be\31\0\1\u01be\13\0\1\u018f\1\0\1\u0190\41\0"+
    "\1\u0167\31\0\1\u0167\41\0\1\u01bf\31\0\1\u01bf\40\0"+
    "\1\u01c0\31\0\1\u01c0\51\0\1\u01c1\31\0\1\u01c1\51\0"+
    "\1\u01c2\31\0\1\u01c2\50\0\1\u0160\31\0\1\u0160\71\0"+
    "\1\u01c3\31\0\1\u01c3\31\0\1\u0160\14\0\1\u01c4\4\0"+
    "\1\u0167\7\0\1\u0160\14\0\1\u01c4\4\0\1\u0167\46\0"+
    "\1\u01c5\31\0\1\u01c5\42\0\1\u015a\31\0\1\u015a\17\0"+
    "\1\u0199\1\0\1\u019a\17\0\1\u0160\21\0\1\u0167\7\0"+
    "\1\u0160\21\0\1\u0167\41\0\1\u01c6\31\0\1\u01c6\36\0"+
    "\1\u015b\22\0\1\u0167\6\0\1\u015b\22\0\1\u0167\30\0"+
    "\1\u01c7\31\0\1\u01c7\26\0\1\u01c8\1\0\1\u01c9\1\0"+
    "\1\276\1\0\1\276\35\0\1\u01aa\31\0\1\u01aa\34\0"+
    "\1\u01ca\31\0\1\u01ca\51\0\1\u01cb\31\0\1\u01cb\51\0"+
    "\1\u01cc\5\0\1\u01cd\23\0\1\u01cc\5\0\1\u01cd\54\0"+
    "\1\u01ce\1\0\1\u0135\27\0\1\u01ce\1\0\1\u0135\43\0"+
    "\1\u01cf\31\0\1\u01cf\40\0\1\u016a\31\0\1\u016a\51\0"+
    "\1\u01d0\31\0\1\u01d0\51\0\1\u01d1\31\0\1\u01d1\70\0"+
    "\1\u01a7\31\0\1\u01a7\31\0\1\u01a3\4\0\1\u01cc\24\0"+
    "\1\u01a3\4\0\1\u01cc\22\0\1\u01d2\1\0\1\u01d3\1\0"+
    "\1\276\1\0\1\276\13\0\1\u01a3\21\0\1\u01aa\7\0"+
    "\1\u01a3\21\0\1\u01aa\30\0\1\u01d4\31\0\1\u01d4\55\0"+
    "\1\u016a\31\0\1\u016a\51\0\1\u01d5\31\0\1\u01d5\60\0"+
    "\1\u01d6\31\0\1\u01d6\45\0\1\u01d7\31\0\1\u01d7\54\0"+
    "\1\u01d8\31\0\1\u01d8\52\0\1\u01d9\31\0\1\u01d9\13\0"+
    "\1\u01da\1\0\1\u01db\13\0\1\u01dc\123\0\1\u01dd\31\0"+
    "\1\u01dd\27\0\1\255\125\0\1\u01de\31\0\1\u01de\33\0"+
    "\1\u01df\31\0\1\u01df\65\0\1\u01b7\4\0\1\u01e0\24\0"+
    "\1\u01b7\4\0\1\u01e0\51\0\1\u01e0\31\0\1\u01e0\44\0"+
    "\1\u01b7\4\0\1\u01e1\24\0\1\u01b7\4\0\1\u01e1\33\0"+
    "\1\u01e2\31\0\1\u01e2\71\0\1\u01e3\31\0\1\u01e3\6\0"+
    "\1\u01bb\1\0\1\u01e4\17\0\1\u0150\31\0\1\u0150\47\0"+
    "\1\u01e5\31\0\1\u01e5\65\0\1\u01e6\4\0\1\u01e7\24\0"+
    "\1\u01e6\4\0\1\u01e7\24\0\1\274\107\0\1\u01e8\31\0"+
    "\1\u01e8\65\0\1\u01c1\4\0\1\u01e9\24\0\1\u01c1\4\0"+
    "\1\u01e9\51\0\1\u01e9\31\0\1\u01e9\44\0\1\u01c1\4\0"+
    "\1\u01ea\24\0\1\u01c1\4\0\1\u01ea\33\0\1\u01eb\31\0"+
    "\1\u01eb\71\0\1\u01ec\31\0\1\u01ec\6\0\1\u01c5\1\0"+
    "\1\u01ed\17\0\1\u0160\31\0\1\u0160\47\0\1\u01ee\31\0"+
    "\1\u01ee\65\0\1\u01ef\4\0\1\u01f0\24\0\1\u01ef\4\0"+
    "\1\u01f0\10\0\1\u01c8\1\0\1\u01c9\41\0\1\u01aa\31\0"+
    "\1\u01aa\41\0\1\u01f1\31\0\1\u01f1\40\0\1\u01f2\31\0"+
    "\1\u01f2\51\0\1\u01f3\31\0\1\u01f3\51\0\1\u01f4\31\0"+
    "\1\u01f4\50\0\1\u01a3\31\0\1\u01a3\71\0\1\u01f5\31\0"+
    "\1\u01f5\31\0\1\u01a3\14\0\1\u01f6\4\0\1\u01aa\7\0"+
    "\1\u01a3\14\0\1\u01f6\4\0\1\u01aa\46\0\1\u01f7\31\0"+
    "\1\u01f7\42\0\1\u019d\31\0\1\u019d\17\0\1\u01d2\1\0"+
    "\1\u01d3\17\0\1\u01a3\21\0\1\u01aa\7\0\1\u01a3\21\0"+
    "\1\u01aa\41\0\1\u01f8\31\0\1\u01f8\36\0\1\u019e\22\0"+
    "\1\u01aa\6\0\1\u019e\22\0\1\u01aa\30\0\1\u01f9\31\0"+
    "\1\u01f9\42\0\1\344\112\0\1\u01fa\31\0\1\u01fa\60\0"+
    "\1\u01fb\31\0\1\u01fb\33\0\1\166\66\0\17\u01da\1\u01dc"+
    "\64\u01da\35\0\1\u01fc\31\0\1\u01fc\15\0\2\u01dc\1\u01fd"+
    "\1\u01fe\55\0\1\u01ff\36\0\1\277\103\0\1\260\130\0"+
    "\1\u0200\31\0\1\u0200\14\0\1\257\77\0\1\u01bb\1\0"+
    "\1\u01e4\1\0\1\257\15\0\1\u0150\31\0\1\u0150\67\0"+
    "\1\u01e0\31\0\1\u01e0\40\0\1\u0201\31\0\1\u0201\56\0"+
    "\1\u0202\31\0\1\u0202\56\0\1\u0203\31\0\1\u0203\51\0"+
    "\1\u01e7\31\0\1\u01e7\10\0\1\u0204\1\0\1\u0205\1\0"+
    "\1\257\13\0\1\u0206\16\0\1\u0207\1\0\1\u0208\1\u01b9"+
    "\7\0\1\u0206\16\0\1\u0207\1\0\1\u0208\1\u01b9\50\0"+
    "\1\u0209\31\0\1\u0209\14\0\1\276\77\0\1\u01c5\1\0"+
    "\1\u01ed\1\0\1\276\15\0\1\u0160\31\0\1\u0160\67\0"+
    "\1\u01e9\31\0\1\u01e9\40\0\1\u020a\31\0\1\u020a\56\0"+
    "\1\u020b\31\0\1\u020b\56\0\1\u020c\31\0\1\u020c\51\0"+
    "\1\u01f0\31\0\1\u01f0\10\0\1\u020d\1\0\1\u020e\1\0"+
    "\1\276\13\0\1\u020f\16\0\1\u0210\1\0\1\u0211\1\u01c3"+
    "\7\0\1\u020f\16\0\1\u0210\1\0\1\u0211\1\u01c3\27\0"+
    "\1\u0212\31\0\1\u0212\65\0\1\u01f3\4\0\1\u0213\24\0"+
    "\1\u01f3\4\0\1\u0213\51\0\1\u0213\31\0\1\u0213\44\0"+
    "\1\u01f3\4\0\1\u0214\24\0\1\u01f3\4\0\1\u0214\33\0"+
    "\1\u0215\31\0\1\u0215\71\0\1\u0216\31\0\1\u0216\6\0"+
    "\1\u01f7\1\0\1\u0217\17\0\1\u01a3\31\0\1\u01a3\47\0"+
    "\1\u0218\31\0\1\u0218\65\0\1\u0219\4\0\1\u021a\24\0"+
    "\1\u0219\4\0\1\u021a\52\0\1\u021b\31\0\1\u021b\32\0"+
    "\1\u021c\31\0\1\u021c\46\0\1\u021d\31\0\1\u021d\65\0"+
    "\1\u021e\31\0\1\u021e\76\0\1\u021f\26\0\1\u0220\1\0"+
    "\1\u0220\133\0\1\u0221\31\0\1\u0221\36\0\1\u0222\31\0"+
    "\1\u0222\46\0\1\u0223\31\0\1\u0223\67\0\1\u0224\31\0"+
    "\1\u0224\13\0\1\u0204\1\0\1\u0205\15\0\1\u0206\16\0"+
    "\1\u0207\1\0\1\u0208\1\u01b9\7\0\1\u0206\16\0\1\u0207"+
    "\1\0\1\u0208\1\u01b9\43\0\1\u0225\31\0\1\u0225\44\0"+
    "\1\u01b7\31\0\1\u01b7\65\0\1\u0226\31\0\1\u0226\31\0"+
    "\1\u0227\31\0\1\u0227\64\0\1\u0228\31\0\1\u0228\36\0"+
    "\1\u0229\31\0\1\u0229\46\0\1\u022a\31\0\1\u022a\67\0"+
    "\1\u022b\31\0\1\u022b\13\0\1\u020d\1\0\1\u020e\15\0"+
    "\1\u020f\16\0\1\u0210\1\0\1\u0211\1\u01c3\7\0\1\u020f"+
    "\16\0\1\u0210\1\0\1\u0211\1\u01c3\43\0\1\u022c\31\0"+
    "\1\u022c\44\0\1\u01c1\31\0\1\u01c1\65\0\1\u022d\31\0"+
    "\1\u022d\31\0\1\u022e\31\0\1\u022e\67\0\1\u022f\31\0"+
    "\1\u022f\10\0\1\u01f7\1\0\1\u0217\1\0\1\276\1\0"+
    "\1\276\13\0\1\u01a3\31\0\1\u01a3\67\0\1\u0213\31\0"+
    "\1\u0213\40\0\1\u0230\31\0\1\u0230\56\0\1\u0231\31\0"+
    "\1\u0231\56\0\1\u0232\31\0\1\u0232\51\0\1\u021a\31\0"+
    "\1\u021a\10\0\1\u0233\1\0\1\u0234\1\0\1\276\1\0"+
    "\1\276\11\0\1\u0235\16\0\1\u0236\1\0\1\u0237\1\u01f5"+
    "\7\0\1\u0235\16\0\1\u0236\1\0\1\u0237\1\u01f5\51\0"+
    "\1\u0238\31\0\1\u0238\51\0\1\u0239\31\0\1\u0239\50\0"+
    "\1\u023a\31\0\1\u023a\30\0\1\u023b\31\0\1\u023b\35\0"+
    "\1\u0220\113\0\1\u0180\123\0\1\u011a\4\0\1\u0155\24\0"+
    "\1\u011a\4\0\1\u0155\51\0\1\u023c\31\0\1\u023c\24\0"+
    "\1\u018a\107\0\1\u023d\31\0\1\u023d\50\0\1\u0186\7\0"+
    "\1\u023e\21\0\1\u0186\7\0\1\u023e\55\0\1\u023f\31\0"+
    "\1\u023f\32\0\1\u018f\123\0\1\u0125\4\0\1\u0165\24\0"+
    "\1\u0125\4\0\1\u0165\51\0\1\u0240\31\0\1\u0240\24\0"+
    "\1\u0199\107\0\1\u0241\31\0\1\u0241\50\0\1\u0195\7\0"+
    "\1\u0242\21\0\1\u0195\7\0\1\u0242\55\0\1\u0243\31\0"+
    "\1\u0243\54\0\1\u0244\31\0\1\u0244\36\0\1\u0245\31\0"+
    "\1\u0245\46\0\1\u0246\31\0\1\u0246\67\0\1\u0247\31\0"+
    "\1\u0247\13\0\1\u0233\1\0\1\u0234\15\0\1\u0235\16\0"+
    "\1\u0236\1\0\1\u0237\1\u01f5\7\0\1\u0235\16\0\1\u0236"+
    "\1\0\1\u0237\1\u01f5\43\0\1\u0248\31\0\1\u0248\44\0"+
    "\1\u01f3\31\0\1\u01f3\65\0\1\u0249\31\0\1\u0249\31\0"+
    "\1\u024a\31\0\1\u024a\51\0\1\u024b\31\0\1\u024b\70\0"+
    "\1\u024c\31\0\1\u024c\45\0\1\u024d\31\0\1\u024d\54\0"+
    "\1\u024e\31\0\1\u024e\46\0\1\u024f\31\0\1\u024f\54\0"+
    "\1\u0250\31\0\1\u0250\44\0\1\u0251\31\0\1\u0251\40\0"+
    "\1\u0252\31\0\1\u0252\64\0\1\u0253\31\0\1\u0253\54\0"+
    "\1\u0254\31\0\1\u0254\44\0\1\u0255\31\0\1\u0255\40\0"+
    "\1\u0256\31\0\1\u0256\42\0\1\u01c8\123\0\1\u0169\4\0"+
    "\1\u01a8\24\0\1\u0169\4\0\1\u01a8\51\0\1\u0257\31\0"+
    "\1\u0257\24\0\1\u01d2\107\0\1\u0258\31\0\1\u0258\50\0"+
    "\1\u01ce\7\0\1\u0259\21\0\1\u01ce\7\0\1\u0259\55\0"+
    "\1\u025a\31\0\1\u025a\34\0\1\u025b\110\0\1\u025c\31\0"+
    "\1\u025c\42\0\1\u01da\125\0\1\u025d\31\0\1\u025d\27\0"+
    "\1\u01bb\125\0\1\u025e\31\0\1\u025e\52\0\1\u025f\31\0"+
    "\1\u025f\44\0\1\u01e0\31\0\1\u01e0\33\0\1\u01c5\125\0"+
    "\1\u0260\31\0\1\u0260\52\0\1\u0261\31\0\1\u0261\44\0"+
    "\1\u01e9\31\0\1\u01e9\55\0\1\u0262\31\0\1\u0262\54\0"+
    "\1\u0263\31\0\1\u0263\44\0\1\u0264\31\0\1\u0264\40\0"+
    "\1\u0265\31\0\1\u0265\44\0\1\u0266\101\0\1\u01dc\103\0"+
    "\1\u0204\132\0\1\u014b\31\0\1\u014b\22\0\1\u020d\132\0"+
    "\1\u015b\31\0\1\u015b\22\0\1\u01f7\125\0\1\u0267\31\0"+
    "\1\u0267\52\0\1\u0268\31\0\1\u0268\44\0\1\u0213\31\0"+
    "\1\u0213\25\0\1\u013f\5\0\1\u013f\103\0\1\u0233\132\0"+
    "\1\u019e\31\0\1\u019e\5\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[41208];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\5\0\1\11\6\1\242\0\1\11\16\0\1\11\53\0"+
    "\1\11\55\0\1\1\46\0\1\11\10\0\1\1\53\0"+
    "\1\11\70\0\1\11\162\0\1\11\72\0\1\11\12\0"+
    "\1\1\2\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[616];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	CheckList() { }
	
	boolean newListElementAhead = false;
	
	boolean furtherListElementAhead = false;
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  public CheckList(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { 
            }
          // fall through
          case 10: break;
          case 2:
            { //System.out.println("ANY_LIST_START: " + yytext());
	
	newListElementAhead = true;	
	return YYEOF;
            }
          // fall through
          case 11: break;
          case 3:
            { //System.out.println("ANY_LIST_COMPONENT: " + yytext());
	
	furtherListElementAhead = true;	
	return YYEOF;
            }
          // fall through
          case 12: break;
          case 4:
            { yybegin(inPre);
            }
          // fall through
          case 13: break;
          case 5:
            { yybegin(0);
            }
          // fall through
          case 14: break;
          case 6:
            { yybegin(inTable);
            }
          // fall through
          case 15: break;
          case 7:
            { yybegin(inSkip);
            }
          // fall through
          case 16: break;
          case 8:
            { //System.out.println("LATIN_ITEM_START: " + yytext());
	
	newListElementAhead = true;	
	return YYEOF;
            }
          // fall through
          case 17: break;
          case 9:
            { yybegin(inVirgolette);
            }
          // fall through
          case 18: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java CheckList [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        CheckList scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new CheckList(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
